
/**
 * PluginFactory.java
 * Abstract class for creating plugins.
 * Created: July 4, 2005
 *
 * @author Nathan Stevens
 * @version 0.1 7/12/2005 
 */

public abstract class PluginFactory {
  
  // pass the instruview object and name of plugin
  public abstract InstruViewPlugin create(InstruView instruView);
  
  // Method to return the experiment type
  public abstract String getExperimentType();
  
  // Method to get information about the plugin
  public abstract String[] getPluginInformation();
}// --end abstract class PluginFactory
